<?php

namespace App\Knockout;

use Illuminate\Support\Facades\Cache;

class User {

    public $id;
    public $username;
    public $avatar;
    public $background;

    public static function unwrap($user)
    {
        $s = new self();

        $s->id              = $user->id;
        $s->username        = $user->username;
        $s->avatar          = sprintf("https://cdn.knockout.chat/image/%u.webp", $user->id);
        $s->background      = sprintf("https://cdn.knockout.chat/image/%u-bg.webp", $user->id);

        return $s;
    }

}
