<?php

namespace App\Http\Controllers;

use App\Knockout\Subforum;
use App\Knockout\Stat;

class IndexController extends Controller {

    public function get()
    {
        $subforums = Subforum::all();
        $records = $subforums->getRecords();

        $len = count($records);
        $leftSubforums = array_slice($records, 0, $len / 2);
        $rightSubforums = array_slice($records, $len / 2);

        return view('page/index', [
            'leftSubforums' => $leftSubforums,
            'rightSubforums' => $rightSubforums,
            'stat' => Stat::all()->getRecord()
        ]);
    }

}
